Skip to main content
POST
/
storage
/
obj
curl --request POST \ --url https://api.quiva.ai/storage/obj \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "bucket": "app-documents", "description": "Application document storage" } '
{
  "message": "success"
}

Documentation Index

Fetch the complete documentation index at: https://docs.quiva.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
bucket
string
required

Name of the bucket to create

description
string

Description of the bucket

max_bytes
integer

Maximum size of the bucket in bytes

Required range: x >= 1
replicas
integer
default:1

Number of replicas

Required range: x >= 1
storage
enum<string>
Available options:
file,
memory

Response

Bad Request

message
string
Example:

"success"